Yandex Cloud
Search
Discuss with expertTry it for free
  • Customer Stories
  • Documentation
  • Blog
  • All Services
    • Cloud Interconnect
    • Cloud Backup
    • Cloud Registry
    • Yandex AI Studio
    • Compute Cloud
    • Object Storage
    • Managed Service for Kubernetes®
    • Yandex BareMetal
    • Smart Web Security
    • Security Deck
    • Managed Service for PostgreSQL
    • Managed Service for ClickHouse®
    • Monium
    • Cloud CDN
    • Network Load Balancer
    • Virtual Private Cloud
    • Cloud DNS
    • Application Load Balancer
    • Yandex Cloud Video
    • Stackland
    • Yandex Cloud Router
    • Yandex Managed Service for Trino
    • Managed Service for MySQL®
    • Managed Service for Valkey™
    • Managed Service for Apache Spark™
    • Yandex StoreDoc
    • Managed Service for OpenSearch
    • Managed Service for Apache Kafka®
    • Data Transfer
    • Yandex MPP Analytics Engine for PostgreSQL
    • Yandex Managed Service for Apache Airflow®
    • Data Processing
    • Yandex MetaData Hub
    • Managed Service for YDB
    • Managed Service for Sharded PostgreSQL
    • Managed Service for YTsaurus
    • Yandex WebSQL
    • DataLens
    • Yandex Search API
    • SpeechSense
    • SpeechKit
    • DataSphere
    • Vision OCR
    • Translate
    • Yandex Identity Hub
    • Key Management Service
    • Certificate Manager
    • Yandex Lockbox
    • Audit Trails
    • SmartCaptcha
    • Cloud Desktop
    • Yandex SIEM
    • SourceCraft Code Assistant
    • Container Registry
    • Managed Service for GitLab
    • Managed Service for Prometheus®
    • Cloud Functions
    • API Gateway
    • Yandex Cloud Postbox
    • Message Queue
    • Serverless Integrations
    • IoT Core
    • Data Streams
    • Serverless Containers
    • Cloud Notification Service
    • Yandex Query
    • Identity and Access Management
    • Yandex Cloud Console
    • Resource Manager
    • Yandex Cloud Billing
    • Yandex Cloud Quota Manager
    • Cloud Apps
  • System Status
  • Marketplace
    • Featured
    • Infrastructure & Network
    • Data Platform
    • AI for business
    • Security
    • DevOps tools
    • Serverless
    • Monitoring & Resources
  • All Solutions
    • By industry
    • By use case
    • Economics and Pricing
    • Security
    • Technical Support
    • Start testing with double trial credits
    • Cloud credits to scale your IT product
    • Gateway to Russia
    • Cloud for Startups
    • Center for Technologies and Society
    • Yandex Cloud Partner program
    • Price calculator
    • Pricing plans
  • Customer Stories
  • Documentation
  • Blog
© 2026 Direct Cursus Technology L.L.C.
Yandex DataLens
  • DataLens neuroanalyst
  • Gallery in DataLens
    • How to use the Public API
    • Versioning
    • Release notes
      • Overview
        • Overview
        • Start workbook export
        • Get workbook export status
        • Get workbook export result
        • Cancel workbook export
  • Audit Trails events

In this article:

  • Request
  • Headers
  • Body
  • Responses
  • 200 OK
  • Body
  • WorkbookTransferProcessStatus
  • EntryScope
  • WorkbookTransferNotificationLevel
  • WorkbookTransferNotification
  1. DataLens Public API
  2. DataLens API
  3. WorkbookExport
  4. Get workbook export status
Written by
Yandex Cloud
View in Markdown
  • Request
    • Headers
    • Body
  • Responses
  • 200 OK
    • Body
    • WorkbookTransferProcessStatus
    • EntryScope
    • WorkbookTransferNotificationLevel
    • WorkbookTransferNotification

Get workbook export status

Returns the status of the specified workbook export.

RequestRequest

POST

https://api.datalens.tech/rpc/getWorkbookExportStatus

HeadersHeaders

Name

Description

x-dl-api-version

Type: string

API version header.

Const: 2

Example: 2

BodyBody

application/json
{
  "exportId": "example"
}

Name

Description

exportId

Type: string

ID of the workbook export whose status to retrieve.

Example: example

ResponsesResponses

200 OK200 OK

Response

BodyBody

application/json
{
  "exportId": "example",
  "status": "pending",
  "progress": 0.5,
  "notifications": [
    {
      "entryId": "example",
      "scope": "dash",
      "code": "example",
      "message": "example",
      "level": "info",
      "details": null
    }
  ]
}

Name

Description

exportId

Type: string

ID of the workbook export.

Example: example

progress

Type: number

Workbook export progress percentage.

status

Type: WorkbookTransferProcessStatus

Status of the workbook transfer process.

Enum: pending, success, error

notifications

Type: array | null

Notifications generated during the workbook export.

Example
[
  {
    "entryId": "example",
    "scope": "dash",
    "code": "example",
    "message": "example",
    "level": "info",
    "details": null
  }
]

WorkbookTransferProcessStatusWorkbookTransferProcessStatus

Status of the workbook transfer process.

Type: string

Enum: pending, success, error

EntryScopeEntryScope

Type of the entry, e.g. dash — dashboard, widget — chart, etc.

Type: string

Enum: dash, report, widget, dataset, folder, connection, compute, artifact

WorkbookTransferNotificationLevelWorkbookTransferNotificationLevel

Severity level of the workbook transfer notification.

Type: string

Enum: info, warning, critical

WorkbookTransferNotificationWorkbookTransferNotification

Name

Description

code

Type: string

Notification code.

Example: example

level

Type: WorkbookTransferNotificationLevel

Severity level of the workbook transfer notification.

Enum: info, warning, critical

details

Type: unknown

Additional notification details.

Example: null

entryId

Type: string

ID of the entry associated with the notification.

Example: example

message

Type: string

Notification message.

Example: example

scope

Type: EntryScope

Type of the entry, e.g. dash — dashboard, widget — chart, etc.

Enum: dash, report, widget, dataset, folder, connection, compute, artifact

Example
{
  "entryId": "example",
  "scope": "dash",
  "code": "example",
  "message": "example",
  "level": "info",
  "details": null
}

Was the article helpful?

Previous
Start workbook export
Next
Get workbook export result
© 2026 Direct Cursus Technology L.L.C.